Subject: bug#53749: 29.0.50; [PATCH] Xref backend for TeX buffers

From: David Fussner <[email-masked]>
Date: Mon, 29 Jul 2024 11:31:21 +0100

Hi Dmitry and Arash,

> Additionally though, it might or might not be too big a change for Emacs
> 30 (I'm not sure), and if we're talking about 31 only, then it could
> wait a little more for the review.

Good point -- I'm OK either way. Getting it tested, even lightly, on
master for a while might make sense for a patch of its size, but
others will have a better sense of it.

Best, David.

On Mon, 29 Jul 2024 at 00:58, Dmitry Gutov <[email-masked]> wrote:
>
> On 27/07/2024 18:39, Arash Esbati wrote:
> > David Fussner via "Bug reports for GNU Emacs, the Swiss army knife of text editors"<[email-masked]>  writes:
> >
> >> Hi Dmitry, Stefan M and Stefan K,
> >>
> >> Here's the latest patch, with most of the modifications requested by
> >> Stefan K. The code populating `semantic-symref-filepattern-alist` I've
> >> left in tex-mode.el, because I wasn't sure how to adjudicate the
> >> differing opinions on where it should go. Moving it won't take any
> >> time, should that be the verdict. I've had a stab at a NEWS entry, and
> >> included the patches to the manual etags test files. The diffs for the
> >> test files are large, since we remove the TeX escape char from any tag
> >> names where it occurs, as discussed elsewhere on this thread.
> >>
> >> Please let me know if more changes are needed.
> > Ping!  Gents, is it possible to give David your comments?  There was
> > some effort behind this, maybe it's time to bring this to an end.  TIA.
>
> It's good enough from my side, but I hope someone else could comment as
> well.
>
> Additionally though, it might or might not be too big a change for Emacs
> 30 (I'm not sure), and if we're talking about 31 only, then it could
> wait a little more for the review.